<% /*
    $Revision$
    $Id$

    File:           model_doc.inc

    Description:    Doc model.
    Parameters:
    Context:

    Notes:
*/

%>
<!-- #include file="model_apis.inc"-->
<%
function model_doc()
{
    this.table = "apis";
    this.primary = "id";
    this.records_name = "apis";
    this.record_name = "api";
    this.autfunction = "WEB_APIDOC";

    var apis = model_apis.REST_GET({});
    this.fields = {};
    for (var i = 0; i < apis.length; i++)
    {
        this.fields[ apis[i].id ] = { label: apis[i].id };
    }

    this.REST_GET = generic_REST_GET(this, {});

    this.xslname = "model_doc.xsl";
}
%>